## org.eclipse.emf.mapping.presentation
Class SimpleMappedObjectViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTreeViewer
                          org.eclipse.jface.viewers.TreeViewer
                              org.eclipse.emf.mapping.presentation.SimpleMappedObjectViewer

All Implemented Interfaces:
  IInputProvider, IInputSelectionProvider, IPostSelectionProvider, ISelectionProvider

    public class SimpleMappedObjectViewer

extends TreeViewer

Nested Class Summary
`protected class` `SimpleMappedObjectViewer.SelectObjectAction`

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer
`StructuredViewer.ColorAndFontCollector, StructuredViewer.ColorAndFontCollectorWithProviders`

Field Summary
`protected AdapterFactory` `adapterFactory`
`protected java.util.Collection<java.lang.Object>` `expandedObjects`
`protected Action` `filterMappedObjects`
`protected boolean` `isTop`
`protected MappingDomain` `mappingDomain`
`protected SimpleMappedObjectViewer` `otherViewer`
`protected java.util.Collection<java.lang.Object>` `selectedObjects`
`protected SimpleMappedObjectViewer.SelectObjectAction` `selectNextMappedObject`
`protected SimpleMappedObjectViewer.SelectObjectAction` `selectNextUnmappedObject`
`protected Action` `selectOtherMappedObjects`
`protected SimpleMappedObjectViewer.SelectObjectAction` `selectPreviousMappedObject`
`protected SimpleMappedObjectViewer.SelectObjectAction` `selectPreviousUnmappedObject`

Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer
`ALL_LEVELS`

Fields inherited from class org.eclipse.jface.viewers.Viewer
`WIDGET_DATA_KEY`

Constructor Summary
`SimpleMappedObjectViewer(MappingDomain domain, Tree tree, boolean isTop)`

Method Summary
`protected ISelection` `doGetSelection()`
`Action` `getFilterMappedObjectsAction()`
`ISelection` `getSelection()`
`void` `makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`
`void` `preserveState()`
`void` `restoreState()`
`void` `selectOtherMappedObjects()`
`void` `setAdapterFactory(AdapterFactory adapterFactory)`
`void` `setOtherViewer(SimpleMappedObjectViewer otherViewer)`
`void` `updateActions()`

Methods inherited from class org.eclipse.jface.viewers.TreeViewer

`addTreeListener, assertContentProviderType, createChildren, createViewerEditor, disassociate, doGetColumnCount, editElement, getChild, getChildren, getColumnViewerOwner, getControl, getExpanded, getItemAt, getItemCount, getItemCount, getItems, getLabelProvider, getParentElement, getParentItem, getRawChildren, getSelection, getTree, getViewerRowFromItem, handleTreeExpand, hookControl, internalAdd, internalInitializeTree, internalRefreshStruct, isExpandable, mapElement, newItem, remove, removeAll, replace, setChildCount, setContentProvider, setExpanded, setHasChildren, setSelection, setSelection, showItem, updatePlus`

Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`add, add, addSelectionListener, addTreeListener, associate, buildLabel, collapseAll, collapseToLevel, createTreeItem, doFindInputItem, doFindItem, doUpdateItem, doUpdateItem, expandAll, expandToLevel, expandToLevel, fireTreeCollapsed, fireTreeExpanded, getAutoExpandLevel, getChildren, getExpandedElements, getExpandedState, getExpandedTreePaths, getFilteredChildren, getNextItem, getPreviousItem, getSelectionFromWidget, getSortedChildren, getTreePathFromItem, getVisibleExpandedElements, handleDoubleSelect, handleTreeCollapse, indexForElement, inputChanged, insert, internalCollapseToLevel, internalExpand, internalExpandToLevel, internalFindItems, internalGetWidgetToSelect, internalIsInputOrEmptyPath, internalRefresh, internalRefresh, internalRefresh, internalRemove, internalRemove, isSameSelection, labelProviderChanged, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setExpandedElements, setExpandedState, setExpandedTreePaths, setSelectionToWidget, setSelectionToWidget, updateChildren`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`applyEditorValue, cancelEditing, checkBusy, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getItem, getLabelProvider, getViewerRow, hookEditingSupport, isBusy, isCellEditorActive, refresh, refresh, setBusy, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, triggerEditorActivationEvent, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertElementsNotNull, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getComparator, getComparer, getFilters, getRoot, getSorter, handleDispose, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, internalUpdate, needsRefilter, preservingSelection, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, updateItem, updateSelection, usingElementMap`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### otherViewer

    protected SimpleMappedObjectViewer otherViewer

### mappingDomain

    protected MappingDomain mappingDomain

### adapterFactory

    protected AdapterFactory adapterFactory

### isTop

    protected boolean isTop

### selectNextMappedObject

    protected SimpleMappedObjectViewer.SelectObjectAction selectNextMappedObject

### selectPreviousMappedObject

    protected SimpleMappedObjectViewer.SelectObjectAction selectPreviousMappedObject

### selectNextUnmappedObject

    protected SimpleMappedObjectViewer.SelectObjectAction selectNextUnmappedObject

### selectPreviousUnmappedObject

    protected SimpleMappedObjectViewer.SelectObjectAction selectPreviousUnmappedObject

### filterMappedObjects

    protected Action filterMappedObjects

### selectOtherMappedObjects

    protected Action selectOtherMappedObjects

### expandedObjects

    protected java.util.Collection<java.lang.Object> expandedObjects

### selectedObjects

    protected java.util.Collection<java.lang.Object> selectedObjects

Constructor Detail

### SimpleMappedObjectViewer

    public SimpleMappedObjectViewer(MappingDomain domain,
                                    Tree tree,
                                    boolean isTop)

Method Detail

### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

### getFilterMappedObjectsAction

    public Action getFilterMappedObjectsAction()

### setOtherViewer

    public void setOtherViewer(SimpleMappedObjectViewer otherViewer)

### doGetSelection

    protected ISelection doGetSelection()

### updateActions

    public void updateActions()

### selectOtherMappedObjects

    public void selectOtherMappedObjects()

### getSelection

    public ISelection getSelection()

  Specified by:
    `getSelection` in interface `ISelectionProvider`
  Overrides:
    `getSelection` in class `AbstractTreeViewer`

### makeContributions

    public void makeContributions(IMenuManager menuManager,
                                  IToolBarManager toolBarManager,
                                  IStatusLineManager statusLineManager)

### preserveState

    public void preserveState()

### restoreState

    public void restoreState()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.